classification
Title: Docs for sys.hexversion should give the algorithm
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.1, Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, eric.araujo, jcea, python-dev, r.david.murray, rhettinger, sijinjoseph
Priority: normal Keywords: patch

Created on 2011-04-21 18:24 by r.david.murray, last changed 2011-04-30 20:36 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
11901.patch sijinjoseph, 2011-04-25 18:06 Patch for issue 11901 review
Messages (8)
msg134232 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2011-04-21 18:24
I went to write a test that would trigger something if it was run on 3.3.0, and had to look in the source code to figure out what the hexversion for that would be.  I think the hexversion algorithm should be documented in its sys entry.
msg134275 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2011-04-22 17:04
+1
msg134367 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2011-04-25 02:11
+1!.
msg134399 - (view) Author: Sijin Joseph (sijinjoseph) Date: 2011-04-25 18:04
Patch attached.
msg134400 - (view) Author: Sijin Joseph (sijinjoseph) Date: 2011-04-25 18:06
Fixed minor typo.
msg134411 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-04-25 20:14
New changeset 48758cd0769b by R David Murray in branch '2.7':
#11901: add description of how bitfields are laid out to hexversion docs
http://hg.python.org/cpython/rev/48758cd0769b

New changeset b84384fbdbf0 by R David Murray in branch '3.1':
#11901: add description of how bitfields are laid out to hexversion docs
http://hg.python.org/cpython/rev/b84384fbdbf0

New changeset cca4c92bf337 by R David Murray in branch '3.2':
Merge #11901: add description of how bitfields are laid out to hexversion docs
http://hg.python.org/cpython/rev/cca4c92bf337

New changeset 07149918bce1 by R David Murray in branch 'default':
Merge #11901: add description of how bitfields are laid out to hexversion docs
http://hg.python.org/cpython/rev/07149918bce1
msg134412 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2011-04-25 20:19
Thanks!  I tidied up the ReST formatting a bit and changed the bit numbering to the more standard left to right order (standard for bit fields...I realize hexversion is a number, but conceptually one deals with it as a bit field).
msg134884 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-04-30 20:36
New changeset 34d2fb56de9a by R David Murray in branch '2.7':
#11901: post-commit review fixes per Georg Brandl
http://hg.python.org/cpython/rev/34d2fb56de9a

New changeset 2ddb4d6f826a by R David Murray in branch '3.1':
#11901: post-commit review fixes per Georg Brandl
http://hg.python.org/cpython/rev/2ddb4d6f826a

New changeset 591a09cf9e62 by R David Murray in branch '3.2':
Merge #11901: post-commit review fixes per Georg Brandl
http://hg.python.org/cpython/rev/591a09cf9e62

New changeset ca8e2fe68ecb by R David Murray in branch 'default':
Merge #11901: post-commit review fixes per Georg Brandl
http://hg.python.org/cpython/rev/ca8e2fe68ecb
History
Date User Action Args
2011-04-30 20:36:58python-devsetmessages: + msg134884
2011-04-25 20:19:35r.david.murraysetstatus: open -> closed
versions: + Python 3.1, Python 2.7, Python 3.2, Python 3.3
messages: + msg134412

resolution: accepted
stage: needs patch -> resolved
2011-04-25 20:14:59python-devsetnosy: + python-dev
messages: + msg134411
2011-04-25 18:06:45sijinjosephsetfiles: + 11901.patch

messages: + msg134400
2011-04-25 18:06:16sijinjosephsetfiles: - 11901.patch
2011-04-25 18:04:06sijinjosephsetfiles: + 11901.patch

nosy: + sijinjoseph
messages: + msg134399

keywords: + patch
2011-04-25 02:11:59jceasetnosy: + jcea
messages: + msg134367
2011-04-22 17:04:16rhettingersetnosy: + rhettinger
messages: + msg134275
2011-04-22 17:00:07eric.araujosetnosy: + eric.araujo
2011-04-21 18:24:21r.david.murraycreate